{% extends "base.html" %}

{% block title %}
    {% if request.resolver_match.view_name == "list_my_projects" %}
        My Projects
    {% else %}
        Public Projects
    {% endif %}
{% endblock title %}

{% block content %}
    <main>
        <div>
            {% if request.resolver_match.view_name == "list_my_projects" %}
            <h1>My Projects</h1>
            {% else %}
            <h1>Public Projects</h1>
            {% endif %}
            <p>
                <a href="{% url "create_project" %}">Create a new project</a>
            </p>
            {% if projects.count == 0 %}
                <p>You are not working on any projects.</p>
            {% else %}
                <div class="display">
                        {% for project in projects %}
                            <a href="{% url "show_project" project.id %}">
                                <div class="listing">
                                    <div class="name">{{ project.name }}</div>
                                    <div class="file_count">Files: {{ project.audio_files.count }}</div>
                                    <div class="mix_count">Mixes: {{ project.mixes.count }}</div>
                                    <div class="user">{{ project.owner }}</div>
                                    <div class="date">{{ project.date }}</div>
                                </div>
                            </a>
                        {% endfor %}
                </div>
            {% endif %}
        </div>
    </main>
{% endblock content %}
